1. NAV100's Avatar
    I need to download BB DM 4.2 service pack 2
    Anybody know where I can find it ????????
    HELP!!!!
    Thanks!!
    07-01-10 12:04 PM
  2. jeffh's Avatar
    I just checked and the oldest DM version on the BlackBerry site is 4.6. I assume you have a specific requirement for such an old version, but have you tried 4.6 or the current versions?
    07-01-10 05:46 PM
  3. NAV100's Avatar
    thanks very much but yes - I need 4.2 or lower
    07-12-10 01:32 PM
LINK TO POST COPIED TO CLIPBOARD